p {
  width: 100px;
  height: 50px;
  padding: 20px;
  border: 1px solid;
}
body {
  font-family: sans-serif;
  padding: 2em;
}
.box-demo {
  width: 400px;
  height: 400px;
}

.box-demo[data-sizing="intrinsic"] {
  width: max-content;
  height: max-content;
}

.box-layout {
  display: grid;
  width: max-content;
  gap: 0.5rem;
  grid-template-columns: 1fr min-content;
}

h1 {
  width: 100px;
  height: 25px;
  padding: 20px;
  border: 1px solid;
}
